> ## Documentation Index
> Fetch the complete documentation index at: https://developer.zilmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bank Account

> Allows you to create one or more bank accounts.



## OpenAPI

````yaml POST /bankAccounts
openapi: 3.0.1
info:
  title: Online Check Writer API
  description: API documentation for bank accounts.
  version: 1.0.0
servers:
  - url: https://test.onlinecheckwriter.com/api/v3
    description: Test server
  - url: https://app.onlinecheckwriter.com/api/v3
    description: Production server
security: []
paths:
  /bankAccounts:
    post:
      tags:
        - Bank Accounts
      summary: Create a new bank account
      description: Allows you to create one or more bank accounts.
      requestBody:
        description: Payload to create new bank accounts.
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                bankAccounts:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      nickName:
                        type: string
                      accountNumber:
                        type: string
                      addressLine1:
                        type: string
                      addressLine2:
                        type: string
                        nullable: true
                      phone:
                        type: string
                        nullable: true
                      city:
                        type: string
                      state:
                        type: string
                      zip:
                        type: string
                      bankName:
                        type: string
                      bankRoutingNumber:
                        type: string
                      bankAddress1:
                        type: string
                      bankCity:
                        type: string
                      bankState:
                        type: string
                      bankZip:
                        type: string
                      bankIdentity:
                        type: string
                      templateId:
                        type: string
                    required:
                      - name
                      - nickName
                      - accountNumber
                      - addressLine1
                      - city
                      - state
                      - zip
                      - bankRoutingNumber
            examples:
              exampleRequest:
                value:
                  bankAccounts:
                    - name: Chase Bank
                      nickName: Chase Bank
                      accountNumber: '10029841'
                      addressLine1: Test Address Line 1
                      addressLine2: Test Address Line 2
                      phone: '900244400'
                      city: San Jose
                      state: CA
                      zip: '95113'
                      bankName: Demo Bank
                      bankRoutingNumber: '021000021'
                      bankAddress1: Address 1
                      bankCity: Dallas
                      bankState: CA
                      bankZip: '75001'
                      bankIdentity: '58756985'
                      templateId: qx5NZwjymj2n3l6
      responses:
        '201':
          description: Bank account(s) created successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Successfully created
                  data:
                    type: object
                    properties:
                      bankAccounts:
                        type: array
                        items:
                          type: object
                          properties:
                            bankAccountId:
                              type: string
                            name:
                              type: string
                            nickName:
                              type: string
                            accountNumber:
                              type: string
                            isVerified:
                              type: boolean
                            bankId:
                              type: string
                            addressLine1:
                              type: string
                            addressLine2:
                              type: string
                              nullable: true
                            city:
                              type: string
                            state:
                              type: string
                            zip:
                              type: string
                            phone:
                              type: string
                              nullable: true
                            walletId:
                              type: string
                            createdDate:
                              type: string
                              format: date
              examples:
                successResponse:
                  value:
                    success: true
                    message: Successfully created
                    data:
                      bankAccounts:
                        - bankAccountId: Q36gYVewBOP7Gdx7bDn
                          name: test
                          nickName: test
                          accountNumber: '123423432'
                          isVerified: false
                          bankId: kWx8ePPO30eK2Xz
                          addressLine1: 1 tet
                          addressLine2: null
                          city: cty
                          state: state
                          zip: '234244'
                          phone: null
                          walletId: 8c6d6d4a-6fa8-4a68-9039-27cd3625f39e
                          createdDate: 11-18-2024
        '400':
          description: Invalid request payload.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Invalid request payload.
        '401':
          description: Unauthorized. Missing or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthenticated.
        '422':
          description: Validation failed. Unprocessable entity.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  errorMsg:
                    type: string
                  bankAccountId:
                    type: string
                    nullable: true
              examples:
                duplicateBankAccount:
                  value:
                    success: false
                    errorMsg: Duplicate bank account on item 1
                    bankAccountId: Q36gYVewBOP7Gdx7bDn
                validationErrorWithoutBankAccountId:
                  value:
                    success: false
                    errorMsg: Required field is missing
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````